- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinRelFltEq Class Reference

Equality to a scaled tolerance. More...

`#include <CoinFloatEqual.hpp>`

List of all members.

## Public Member Functions
bool | operator() (const double f1, const double f2) const
| Compare function.
Constructors and destructors
| CoinRelFltEq ()
| Default constructor.
| CoinRelFltEq (const double epsilon)
| Alternate constructor with epsilon as a parameter.
virtual | ~CoinRelFltEq ()
| Destructor.
| CoinRelFltEq (const CoinRelFltEq &src)
| Copy constructor.
CoinRelFltEq & | operator= (const CoinRelFltEq &rhs)
| Assignment.
## Private Attributes
Private member data
double | epsilon_
| Base equality tolerance.

## Detailed Description

Equality to a scaled tolerance.

Operands are considered equal if their difference is within a scaled epsilon calculated as epsilon_*(1+CoinMax(|f1|,|f2|)).

Definition at line 105 of file CoinFloatEqual.hpp.

## Constructor & Destructor Documentation

CoinRelFltEq::CoinRelFltEq | ( |  | ) | `[inline]`

Default constructor.

Definition at line 127 of file CoinFloatEqual.hpp.

CoinRelFltEq::CoinRelFltEq | ( | const double | epsilon | ) | `[inline]`

Alternate constructor with epsilon as a parameter.

Definition at line 134 of file CoinFloatEqual.hpp.

virtual CoinRelFltEq::~CoinRelFltEq | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 138 of file CoinFloatEqual.hpp.

CoinRelFltEq::CoinRelFltEq | ( | const CoinRelFltEq & | src | ) | `[inline]`

Copy constructor.

Definition at line 142 of file CoinFloatEqual.hpp.

## Member Function Documentation

bool CoinRelFltEq::operator() | ( | const double | f1,
|  | const double | f2 |
| ) |  |  | const`[inline]`

Compare function.

Definition at line 111 of file CoinFloatEqual.hpp.

References CoinFinite(), CoinIsnan(), and epsilon_.

CoinRelFltEq& CoinRelFltEq::operator= | ( | const CoinRelFltEq & | rhs | ) | `[inline]`

Assignment.

Definition at line 146 of file CoinFloatEqual.hpp.

References epsilon_.

## Member Data Documentation

double CoinRelFltEq::epsilon_`[private]`

Base equality tolerance.

Definition at line 160 of file CoinFloatEqual.hpp.

Referenced by operator()(), and operator=().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/CoinUtils/src/CoinFloatEqual.hpp